.TH dput 1 "2001-10-05"
.SH NAME
.B dput
\- package upload tool for Debian
.SH SYNTAX
.B dput
[\fIoptions\fR]
[\fBhost\fR]
\fBpackage.changes\fR ...
.SH DESCRIPTION
This is a tool for uploading Debian packages into the archive. You may specify
to which host it should upload the file by passing it an
.I host
argument. If omitted, dput uses the host specified by
.I default_host
(or, historically \fIdefault_host_non-us\fR) configuration option.
Also you have to pass the program one or more name of
.I package.changes
files and then they will be sequentially uploaded.
.P
This program will then upload the package for you into the archive, using a
selected upload method. Currently dput supports ftp, scp, rsync, http,
https, and local. The
method scripts have been split from the main script so it is easy to add
new methods.  Look in /usr/share/dput/ for examples.

Should something go wrong with your upload to destinations using the
Debian upload queue daemon (e.g. ftp-master), you can remove files from
the upload queue with \fBdcut\fP(1).
.SH OPTIONS
.BR "\-c",
.B \-\-config
\- define a config file to use.
.P
.BR "\-d",
.B \-\-debug
\- activate debugging mode, helpful if bugs occur.
.P
.BR "\-D",
.B \-\-dinstall
\- do a dry run of dinstall after the upload.
.P
.BR "\-f",
.B \-\-force
\- force an upload of an already uploaded package.
.P
.BR "\-h",
.B \-\-help
\- print help information and exit.
.P
.BR "\-H",
.B \-\-host\-list
\- print the lists of hosts that dput knows about.
.P
.BR "\-l",
.B \-\-lintian
\- run lintian before the upload.
.P
.BR "\-U",
.B \-\-no-upload\-log
\- do not write a .upload log file after uploading.
.P
.BR "\-o",
.B \-\-check-only
\- check only the package and do not upload.
.P
.BR "\-p",
.B \-\-print
\- print the configuration that dput is using.
.P
.BR "\-P",
.B \-\-passive
\- use passive ftp instead of active. Note that passive ftp is the default
unless specified otherwise in the configuration file.
.P
.BR "\-s",
.B \-\-simulate
\- simulate an upload only.
.P
.BR "\-u",
.B \-\-unchecked
\- don't check GnuPG signature on the changes file.
.P
.BR "\-e",
.B \-\-delayed
\- Upload to a DELAYED queue, rather than the usual Incoming. This
takes an argument from 0 to 15. Note that a delay of 0 is different
from no delay at all.
.P
.BR "\-v",
.BR \-\-version
\- print version information and exit.
.P
.BR "\-V",
.BR \-\-check\-version
\- check if the user has already installed and tested the package before
putting it into the archive.
.P

.SH ENVIRONMENT
This program doesn't depend on any environment variables. But if the variable
USER is set, it will be used.

.SH LICENSE
This program is distributed under the terms of the GPL.

.SH BUGS
.P
Please send bug reports to the author.

.SH FILES
.TP
.I /etc/dput.cf
global dput configuration file
.TP
.I ~/.dput.cf
per user dput configuration file

.SH SEE ALSO
.PD 0
.TP
\fBdput.cf\fP(5)
.TP
\fBdcut\fP(1)
.TP
\fI/usr/share/doc/dput\fP
.TP
\fI/usr/share/dput\fP

.SH AUTHOR
\fIdput\fP was written Christian Kurz. The current maintainer is
Thomas Viehmann <tv@beamnet.de>.

Many other people have contributed to this code. See the
Thanks file.

.SH COMMENTS
The author does appreciate comments and suggestions from you.

.\" Local variables:
.\" mode: nroff
.\" coding: utf-8
.\" End:
.\" vim: fileencoding=utf-8 filetype=nroff :
